Dev GuideRecipesAPI ReferenceChangelog
Dev GuideAPI ReferenceChangelogUser GuideDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

POST /settings

Experimental Create or update settings.

Import behavior:

  • Label:
    • If a label-group with the same name exists, the label-group is updated.
      • Labels are merged.
      • If a label with the same name exists, it is overwritten.
    • If no label-group with the same name exists, a new label-group is created.
  • Custom Fields:
    • If a custom field with the same name exists, the custom field is updated and its choices are merged.
    • If no custom field with the same name exists, a new custom field will be created.
  • Workflows:
    • If the query param overwrite_workflows=true the existing workflows are overwritten. Otherwise, a new workflow will be created where the prefix Copy of is added to the name of the workflow.
  • Webhooks:
    • If a webhook with the same name exists, the webhook is updated and its events are merged.
    • If multiple webhooks with the same name exist, a new webhook is created.
    • If no webhook with the same name exists, a new webhook is created.
  • Apps:
    • If an app with the same name exists, the app is updated and its authorization callback URLs are merged.
    • If multiple apps with the same name exist, a new app is created.
    • If no app with the same name exists, a new app is created.
  • Templates:
    • If a template with the same name exists, the template is updated.
    • If multiple templates with the same name exist, a new template is created.
    • If no template with the same name exists, a new template is created.
  • Routing Rules:
    • If one single routing rule with the same name exists, the routing rule is updated.
    • If multiple routing rules with the same name exist, a new routing rule is created.
    • If no routing rule with the same name exists, a new routing rule is created.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean

If execute=true the settings are created or updated. Otherwise, the endpoint returns only the changeset.

boolean

If overwrite_workflows=true the existing workflows are overwritten. Otherwise, a new workflow is created where a prefix Copy of is added to the workflow's name.

Body Params

Payload to create or update settings

labels
array of objects
required

Settings labels

labels*
custom_fields
object
required

Settings for custom fields

workflows
array of objects
required

Settings workflows

workflows*
templates
array of objects
required

Settings templates

templates*
apps
array of objects
required

Settings apps

apps*
webhooks
array of objects
required

Settings webhooks

webhooks*
routing_rules
array of objects
required

Settings routing rules

routing_rules*
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json